Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226720 - ata_piix can not support the Host Protected Area.
Summary: ata_piix can not support the Host Protected Area.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i686
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Alan Cox
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-01 07:11 UTC by MASAO TAKAHASHI
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 2.6.20-1.3079.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-19 10:33:09 UTC


Attachments (Terms of Use)
/var/log/messages (deleted)
2007-02-01 07:11 UTC, MASAO TAKAHASHI
no flags Details

Description MASAO TAKAHASHI 2007-02-01 07:11:02 UTC
Description of problem:

Enabling ATA component makes "Buffer I/O error".
When booting, many error messages has displayed as follows.

Feb  1 13:39:37 mtakahashi kernel: attempt to access beyond end of device
Feb  1 13:39:37 mtakahashi kernel: sda: rw=0, want=78156003, limit=78125000
Feb  1 13:39:37 mtakahashi kernel: Buffer I/O error on device sda3, logical
block 76581632

But, enabling IDE component does not make the above error.
Environment:
   HDD : IDE UDMA5 60GB
Version-Release number of selected component (if applicable):
linux-2.6.19-1.2917.fc7

How reproducible:
to enable ATA component and to disable IDE component.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The HDD has a Host Protected Area.
I formated with IDE driver.
The IDE driver disables a Host Protected Area.
So native capacity is 78165360 sectors.
And limit capacity is 78125000 sectors with a Host Protected Area enabled.

The ata_piix driver does not disable a Host Protected Area.

Comment 1 MASAO TAKAHASHI 2007-02-01 07:11:02 UTC
Created attachment 147071 [details]
/var/log/messages

Comment 2 Alan Cox 2007-03-28 14:55:12 UTC
Test patch upstream. Need to trace down a problenm with some Macintosh boxes
before it can be merged however


Comment 3 MASAO TAKAHASHI 2007-04-17 05:07:51 UTC
I have tested linux-2.6.20-1.3079.fc7.
This is applied linux-2.6-libata-hpa.patch.
This patch disables the host protected area.
I think that the patch resolves problem.
Thank you, Mr Jones.

Environment
  DELL Dimension 4700C
  CPU : pentium4 2.6GHz
  MEM : 512MB
  HDD : IDE 40GB



Note You need to log in before you can comment on or make changes to this bug.